#ifndef EXTERN_DISPLAY_TIME_H
#define EXTERN_DISPLAY_TIME_H

/* used by twinkles */
extern char *get_time_cmp_string(time_t);
extern char *get_ampm_string(time_t);
extern char *get_second_number(time_t);
extern char *get_minute_number(time_t);
extern char *get_hour_number_24(time_t);
extern char *get_hour_number_12(time_t);
extern char *get_day_name(time_t);
extern char *get_day_number(time_t);
#define get_week_day_number(x) get_day_number(x)
extern char *get_month_name(time_t);
extern char *get_month_number(time_t);
extern char *get_month_day_number(time_t);
extern char *get_week_number(time_t);
extern char *get_year_number(time_t);
extern char *get_year_number_short(time_t);
extern char *get_year_day_number(time_t);
      
/* functions used in the code */
extern char *sys_time(void);
extern char *return_date(time_t t);
extern char *return_date_with_year(time_t t);
extern char *return_date_and_time(time_t t);
extern char *hour_time12(time_t);
extern char *hour_time24(time_t);
extern char *scripting_time(time_t);
extern char *convert_time(time_t);
#define time_diff(diff) (convert_time(now + MK_HOURS(diff)))
#define time_diff_sec(last_on, diff) \
  (convert_time((MK_HOURS(diff)) + last_on))
extern char *birthday_string(time_t, unsigned int);

/* vconvert seconds into words... */
extern char *short_word_time(long, unsigned int);
extern char *word_time(long, unsigned int);

#endif
